const extensionsRegex = /\.(ts|tsx|mts|cts)$/

export async function load(url, context, defaultLoad) {
  if (extensionsRegex.test(url)) {
    const { source } = await defaultLoad(url, { ...context, format: 'module' })
    return {
      ...context,
      source: source,
    }
  }
  // let Node.js handle all other URLs
  return defaultLoad(url, context, defaultLoad)
}